summaryrefslogtreecommitdiff
path: root/tests.build/build-system.script
diff options
context:
space:
mode:
authorSam Thursfield <sam.thursfield@codethink.co.uk>2013-01-31 12:20:11 +0000
committerSam Thursfield <sam.thursfield@codethink.co.uk>2013-02-20 16:51:14 +0000
commit2ce8a926e858c06f76c7875dbd28616613f541dc (patch)
tree2259eb73e429229acfba61b933fe2911ecc6ddb2 /tests.build/build-system.script
parent8d9a939630bc677c2d2e7c4202a400f9bc0ab3ad (diff)
downloadmorph-2ce8a926e858c06f76c7875dbd28616613f541dc.tar.gz
tests.build: Don't build individual chunks or strata
We can't rely on this being possible any more. It was mostly only used for testing in any case.
Diffstat (limited to 'tests.build/build-system.script')
-rwxr-xr-xtests.build/build-system.script27
1 files changed, 27 insertions, 0 deletions
diff --git a/tests.build/build-system.script b/tests.build/build-system.script
new file mode 100755
index 00000000..75b9d0d0
--- /dev/null
+++ b/tests.build/build-system.script
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Copyright (C) 2011-2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+## Test building a simple system.
+
+set -eu
+
+"$SRCDIR/scripts/test-morph" build-morphology \
+ test:morphs-repo master hello-system
+
+system=$(ls "$DATADIR/cache/artifacts/"*hello-system-rootfs)
+tar tf $system | LC_ALL=C sort | sed '/^\.\/./s:^\./::'